--
-- EngineOilHUDExtension
-- Adds engine oil display to ingame hud
-- 
-- @author Cyprus Simulation Gamers
-- @date 06 Apr 2024
-- 
HUD.createDisplayComponents = Utils.appendedFunction(
                                  HUD.createDisplayComponents,
                                  function(self, uiScale)
        self.engineOilDisplay = EngineOilDisplay.new()
        self.engineOilDisplay:setScale(uiScale)
        table.insert(self.displayComponents, self.engineOilDisplay)
    end)

HUD.drawControlledEntityHUD = Utils.appendedFunction(
                                  HUD.drawControlledEntityHUD, function(self)
        if self.isVisible then self.engineOilDisplay:draw() end
    end)

HUD.setControlledVehicle = Utils.appendedFunction(HUD.setControlledVehicle,
                                                  function(self, vehicle)
    self.engineOilDisplay:setVehicle(vehicle)
end)
